#ifndef _CAMERA_H_
#define _CAMERA_H_

#include "vector.h"

struct camera {
	struct vector pos;
	struct vector speed;
	double zoom;
	double zoom_rate;
};


/* Camera speed, when key pressed down, pixels per second */
#define CAM_SPEED 200
#define CAM_ZOOM_RATE 1.5

void init_camera(struct camera *cam);
void move_camera(struct camera *cam, const double time);
void print_camera(const struct camera *cam);

#endif
